Bug 150841 - KDE Sound server crashes on startup
KDE Sound server crashes on startup
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: arts (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
https://bugzilla.redhat.com/bugzilla/...
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-11 00:26 EST by Marco van Leeuwen
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:06:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marco van Leeuwen 2005-03-11 00:26:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3) Gecko/20040924

Description of problem:
Hi, my artsd crashes on startup, with message:

Sound server fatal: cpu overload, aborting 

This did not occur with the celan install, but started at some point after downloading updates (up2date). My computer is a Dell Latitude X300, with an intel AC97 soundcard. 

The problem was also reported for FCx, see link above. Could their fix of artsd maybe also apply to RHE 3 WS?

Version-Release number of selected component (if applicable):
arts-1.1.3-2.3

How reproducible:
Always

Steps to Reproduce:
1. Startup, or restart artsd
  

Actual Results:  see above

Expected Results:  sound server up and running, sound available.

Additional info:
Comment 1 Ngo Than 2005-03-13 08:01:15 EST
does the problem still appear, if you remove the directories /tmp/mcop*.
Please remove it before starting KDE.

are you using alsa?

if the artsd still crashes, please start artsd with debug "-l0". please attatch
the output of this. thanks
Comment 2 Marco van Leeuwen 2005-03-13 17:27:42 EST
Thanks for the advice. I removed the /tmp/mcop* direcroties, but the problem
recurs. When trying to run artsd in debug mode, I foudn that the problem seems
to be connected to the full-duplex mode; it only occurs when I specify the -d
switch (which is also the default when using the gui to setup artsd).

This is what I get (I played the testsound to check that it was running; the
crash seems to occur after playing sound):

$> artsd -d -l0
artsd version is 1.1.3
gsl: using Unix98 pthreads directly for mutexes and conditions
autodetecting driver:
 - oss: 10
 - null: -1
 - toss: 4
... which means we'll default to oss
device capabilities: revision0 realtime trigger mmap
buffering: 8 fragments with 1024 bytes (audio latency is 46.4 ms)
device capabilities: revision0 realtime trigger mmap
buffering: 8 fragments with 1024 bytes (audio latency is 46.4 ms)
audio format is 44100 Hz, 16 bits, 2 channels
addDirectory(/usr/lib/mcop,)
addDirectory(/usr/lib/mcop/Arts,Arts)
addDirectory(/usr/lib/mcop/Arts/Environment,Arts::Environment)
addDirectory(/usr/lib/mcop/Noatun,Noatun)
addDirectory(/home/mvl/.mcop/trader-cache,)
unix_connect: can't connect to server
(unix:/tmp/mcop-mvl/localhost_localdomain-0c78-4234bce1)
Arts::MidiManager registered successfully.
There are already artsd objects registered, looking if they are active...
unix_connect: can't connect to server
(unix:/tmp/mcop-mvl/localhost_localdomain-0c78-4234bce1)
... cleaned 5 unused mcop global references.

unix_connect: can't connect to server
(unix:/tmp/mcop-mvl/localhost_localdomain-0c78-4234bce1)
(The previous message was repeated 4 times.)
AudioSubSystem::adjustDuplexBuffers(-5)
AudioSubSystem::adjustDuplexBuffers(-5)
(The previous message was repeated 5 times.)
UnixManager: got notifyIO
socketconnection created, fd = 9
play '/usr/share/sounds/KDE_Startup.wav'!
loaded wav /usr/share/sounds/KDE_Startup.wav
  sample format: 401, sample width: 16
   channelCount: 1
     frameCount: 182592
AudioSubSystem::adjustDuplexBuffers(-5)
AudioSubSystem::adjustDuplexBuffers(-5)
(The previous message was repeated 5 times.)
job finished
AudioSubSystem::adjustDuplexBuffers(-5)
AudioSubSystem::adjustDuplexBuffers(-5)
(The previous message was repeated 5 times.)
cpu overload, aborting
Comment 3 Marco van Leeuwen 2005-03-13 17:33:48 EST
Oh, and I don't think I'm using alsa; I use the stuff that came with Redhat EL 3
WS, which I think is the old kernel oss clone.
Comment 4 Ngo Than 2005-05-10 07:01:18 EDT
The duplex is broken in the arts, it should not be used and disable as default.
Is the problem gone if you disable duplex?
Comment 5 RHEL Product and Program Management 2007-10-19 15:06:31 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.